# Uses of Enum Class
com.sun.security.jgss.InquireType

Packages that use InquireType
Package
Description
com.sun.security.jgss
This package defines classes and interfaces for the JDK extensions to the GSS-API.

## Uses of InquireType in com.sun.security.jgss

Subclasses with type arguments of type InquireType in com.sun.security.jgss
Modifier and Type
Class
Description
`enum`
`InquireType`
Attribute types that can be specified as an argument of `ExtendedGSSContext.inquireSecContext(InquireType)`
Methods in com.sun.security.jgss that return InquireType
Modifier and Type
Method
Description
`static InquireType`
InquireType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InquireType[]`
InquireType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.sun.security.jgss with parameters of type InquireType
Modifier and Type
Method
Description
`Object`
ExtendedGSSContext.`inquireSecContext(InquireType type)`
Return the mechanism-specific attribute associated with `type`.